%bcond_with check
%global apiver  0

%global forgeurl https://github.com/Cu3PO42/gtk-session-lock

Name:           gtk-session-lock
Version:        0.2.0
Release:        %autorelease
Summary:        GTK 3 screen locker library using ext-session-lock-v1

%forgemeta

License:        GPL-3.0-only and MIT
URL:            %forgeurl
Source0:        %forgesource

BuildRequires:  gcc
BuildRequires:  meson >= 0.45.1
BuildRequires:  vala

# https://github.com/Cu3PO42/gtk-session-lock/blob/master/compatibility.md
BuildRequires:  pkgconfig(gtk+-wayland-3.0) >= 3.22.0

BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(wayland-client) >= 1.10.0
BuildRequires:  pkgconfig(wayland-protocols) >= 1.16
BuildRequires:  pkgconfig(wayland-scanner) >= 1.10.0
BuildRequires:  pkgconfig(wayland-server) >= 1.10.0


%description
This is a library to use GTK 3 to build screen lockers using the secure ext-session-lock-v1 protocol.
This Library is compatible with C, C++ and any language that supports GObject introspection files.

This library is a fork of the incredible gtk-layer-shell, which has laid all the groundwork necessary to make this happen.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
Development files for %{name}.


%prep
%forgeautosetup


%build
%meson            \
%if %{with check}
    -Dtests=true  \
%else
    -Dtests=false \
%endif
    %{nil}
%meson_build


%install
%meson_install

%if %{with check}
%check
%meson_test
%endif

%files
%license LICENSE_GPL.txt LICENSE_MIT.txt
%doc README.md CHANGELOG.md
%{_libdir}/girepository-1.0/GtkSessionLock-%{apiver}.?.typelib
%{_libdir}/lib%{name}.so.%{apiver}*

%files devel
%{_datadir}/gir-1.0/GtkSessionLock-%{apiver}.?.gir
%{_datadir}/vala/vapi/%{name}-%{apiver}*
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/*.pc


%changelog
%autochangelog
